{% extends 'base.html' %}

{% block title %}{{ action }} a Spider{% endblock %}

{% block content %}
    <div class="content-base">
        <h4>{{ action }} a Spider</h4>

        <form method="post" action="{{ url }}">
            {{ form.csrf_token }}
            {{ md.input(form.name) }}
            {{ md.input(form.image_name) }}
            {{ md.input(form.env_vars, 'monowidth') }}
            {{ md.checkbox('Use private registry image', 'toggle-input-checkbox', 'secret-name-hidden', checked=form.secret_name.data) }}
            {{ md.input(form.secret_name, 'secret-name-hidden hidden') }}
            {{ md.submit_button(action) }}
            {{ md.non_field_err(form) }}
        </form>
    </div>
{% endblock %}

{% block scripts %}
<script>
    $('#name').on('change', function () {
        let val = $(this).val();
        let $envVars = $('#env_vars');
        let envVal = $envVars.val();
        const envStr = 'SPIDER_NAME=' + val;
        let newEnvVal = '';
        if (!envVal) {
            newEnvVal = envStr;
        } else if (envVal.indexOf('SPIDER_NAME=') !== -1) {
            newEnvVal = envVal.replace(/SPIDER_NAME=[\w-]+/, envStr);
        } else {
            newEnvVal += '\n' + envStr;
        }
        $envVars.val(newEnvVal);
        $envVars.focus();
        setTimeout(() => $envVars.blur());
    });
</script>
{% endblock %}
